﻿/*
 * Copyright (C) Alibaba Cloud Computing
 * All rights reserved.
 * 
 * 版权所有 （C）阿里云计算有限公司
 */

using System.Collections.Generic;
using Aliyun.OpenServices.Common.Authentication;
using Aliyun.OpenServices.Common.Handlers;
using Aliyun.OpenServices.OpenStorageService.Commands;

namespace Aliyun.OpenServices.Common.Communication
{
    internal class ExecutionContext
    {
        /// <summary>
        /// List of HTTP response handlers. 
        /// </summary>
        private readonly IList<IResponseHandler> _responseHandlers = new List<IResponseHandler>();

        /// <summary>
        /// Gets or sets the request signer.
        /// </summary>
        public IRequestSigner Signer { get; set; }
        
        /// <summary>
        /// Gets or sets the credentials.
        /// </summary>
        public ICredentials Credentials { get; set ;}
        
        /// <summary>
        /// Gets the list of <see cref="IResponseHandler" />.
        /// </summary>
        public IList<IResponseHandler> ResponseHandlers
        {
            get { return _responseHandlers; }
        }

        /// <summary>
        /// Gets or sets a concrete command associate with this context.
        /// </summary>
        public OssCommand Command { get; set; }

    }
}
